package models

import (
	"database/sql"

	"gorm.io/gorm"
)

// A Reaction is a user liking a note using an emote
type Reaction struct {
	gorm.Model
	Note      Note
	NoteId    string
	Reactor   User
	ReactorId string
	Emote     *Emote // Emote is optional. If not set, use the default emote of the server
	EmoteId   sql.NullInt64
}
